
%global betaversion b9
%{?betaversion: %global dotbetaversion .%{betaversion}}

Name:           ndoutils
Version:        1.4

Release:        0.7%{?dotbetaversion}%{?dist}
Summary:        Stores all configuration and event data from Nagios in a database

Group:          Applications/System
License:        GPLv2
URL:            http://www.nagios.org/download/addons/
Source0:        http://downloads.sourceforge.net/nagios/ndoutils-%{version}%{?betaversion}.tar.gz
Source1:        README.Fedora
Source2:        ndo2db.cfg 
Source3:        ndomod.cfg
Source4:        ndo2db.initd
Patch0:         ndo-shared-so.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  mysql-devel
# On RHEL4 and 5 we build for nagios 2 rather than a default 3 or more.
%if 0%{?el4}%{?el5}
Requires:       nagios < 3
%else
Requires:       nagios >= 3
%endif


Requires(post): chkconfig
Requires(preun): chkconfig, initscripts

%package mysql
Summary: Contains the ndoutils ndo2db for mysql
Group: Applications/System
Requires:ndoutils = %{version}-%{release}

%description mysql
Contains an ndo2db for writing ndoutils data from 
nagios to MySQL.

%description
The NDOUTILS addon is designed to store all configuration and event data 
from Nagios in a database. Storing information from Nagios in a database will 
allow for quicker retrieval and processing of that data and will help
serve as a foundation for the development of a new PHP-based web 
interface in Nagios 3.0.

%prep
%setup -q -n %{name}-%{version}%{?betaversion}
%patch0 -p1

# Remove executable bits from the example scripts in 
# the documentation.
%{__chmod} 644 db/installdb db/prepsql db/upgradedb


%build
%configure 
%{__make} %{?_smp_mflags}
%if 0%{?el4}%{?el5}
%{__cp} src/ndo2db-2x src/ndo2db.mysql
%else
%{__cp} src/ndo2db-3x src/ndo2db.mysql
%endif

%install
# Upstream does not provide an install target.
# http://tracker.nagios.org/view.php?id=21
rm -rf $RPM_BUILD_ROOT

%{__install} -m 644 %{SOURCE1} README.Fedora
%{__install} -m 755 -D src/ndo2db.mysql $RPM_BUILD_ROOT/%{_sbindir}/ndo2db.mysql

%if 0%{?el4}%{?el5}
%{__install} -m 755 -D src/ndomod-2x.so $RPM_BUILD_ROOT/%{_libdir}/nagios/brokers/ndomod.so
%else
%{__install} -m 755 -D src/ndomod-3x.so $RPM_BUILD_ROOT/%{_libdir}/nagios/brokers/ndomod.so
%endif

%{__install} -m 644 -D %{SOURCE2} $RPM_BUILD_ROOT/%{_sysconfdir}/nagios/ndo2db.cfg
%{__install} -m 644 -D %{SOURCE3} $RPM_BUILD_ROOT/%{_sysconfdir}/nagios/ndomod.cfg
%{__install} -m 755 -D %{SOURCE4} $RPM_BUILD_ROOT/%{_initrddir}/ndo2db
%{__mkdir} -p $RPM_BUILD_ROOT/%{_var}/log/ndoutils
%{__mkdir} -p $RPM_BUILD_ROOT/%{_var}/run/ndoutils
%{__mkdir} -p $RPM_BUILD_ROOT/%{_var}/cache/ndoutils

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)

%{_libdir}/nagios/brokers/ndomod.so
%{_initrddir}/ndo2db

%config(noreplace) %{_sysconfdir}/nagios/ndo2db.cfg
%config(noreplace) %{_sysconfdir}/nagios/ndomod.cfg

%dir %attr(-,nagios,root) /var/run/ndoutils
%dir %attr(-,nagios,root) /var/log/ndoutils
%dir %attr(-,nagios,root) /var/cache/ndoutils

%doc README.Fedora docs README REQUIREMENTS TODO UPGRADING

%files mysql
%defattr(-,root,root,-)
%{_sbindir}/ndo2db.mysql
%doc db

%preun
if [ $1 = 0 ]; then
    /sbin/service ndo2db stop > /dev/null 2>&1 || :
    /sbin/chkconfig --del ndo2db || :
fi

%preun mysql
if [ $1 = 0 ]; then
  /usr/sbin/alternatives --remove ndo2db /usr/sbin/ndo2db.mysql
fi

%post
/sbin/chkconfig --add ndo2db || :

%post mysql
/usr/sbin/alternatives --install /usr/sbin/ndo2db ndo2db /usr/sbin/ndo2db.mysql 40

%changelog
* Wed Nov 11 2009 Steve Traylen <tmraz@redhat.com> - 1.4-0.7.b9
- New upstream version. 1.4b9
* Fri Aug 21 2009 Tomas Mraz <tmraz@redhat.com> - 1.4-0.7.b8
- rebuilt with new openssl
* Tue Jul 21 2009 Steve Traylen <steve.traylen@cern.ch> - 1.4-0.6.b8
- A requires nagios = 2 will not work.
* Tue Jul 21 2009 Steve Traylen <steve.traylen@cern.ch> - 1.4-0.5.b8
- Updated to nodutils 1.4b8.
- mysql lib path no longer needs to be set explicitly.
- Use dist tags to install for nagios2 on el4 and el5.
* Mon Jul 20 2009 Steve Traylen <steve.traylen@cern.ch> - 1.4-0.4.b7
- Patch ndomod.o to be ndomod.so since it is a shared object.
- Move ndomod.so from /usr/lib to /usr/lib/nagios/brokers
- Change URL to better one.
- Change SourceURL to fedora package guideline for sourceforge.
- Completly removed postgres support. The documents clearly state
  it is not supported.
* Sun Jun 14 2009 Steve Traylen <steve@traylen.net> - 1.4-0.3.b7
- Move ndo2db.cfg and ndomod.cfg to /etc/nagios as per install
  guide.
- Remove executable bits from documentation examples.
* Thu Jun 11 2009 Steve Traylen <steve@traylen.net> - 1.4-0.2.b7
- Split package to create postgres and mysql binary in different
  sub packages.
* Wed Jun 10 2009 Steve Traylen <steve@traylen.net> - 1.4-0.1.b7
- Add full URL location to Source0:
- Use special Version/Release tag since a beta. i.e 1.4-0.1.b7
* Sat Apr 25 2009 Steve Traylen <steve@traylen.net> 
- First Build



